package org.implab.gradle.common.dsl;

import org.gradle.api.Buildable;
import org.gradle.api.tasks.TaskProvider;

public interface TaskDependency {

    Object reference();

    public static TaskDependency named(String name) {
        return () -> name;
    }

    public static TaskDependency provider(TaskProvider<?> provider) {
        return () -> provider;
    }

    public static TaskDependency buildable(Buildable dependency) {
        return () -> dependency;
    }

}
